<?php
/**
 * Вкладка возвратов на страницы заказа возвратов PayQR
 * PayQR Reverts grid container
 *
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author     PayQR Team <api@payqr.ru>
 */
class PayQR_Payment_Block_Adminhtml_Revert_Tab_Revert extends PayQR_Payment_Block_Adminhtml_Revert_Grid
    implements Mage_Adminhtml_Block_Widget_Tab_Interface
{

    /**
     * Retrieve tab label
     * Задем название вкладки
     * @return string
     */
    public function getTabLabel()
    {
        return Mage::helper('sales')->__('PayQR Reverts');
    }

    /**
     * Retrieve tab title
     * Задем загаловок вкладки
     * @return string
     */
    public function getTabTitle()
    {
        return Mage::helper('sales')->__('PayQR Reverts');
    }

    /**
     * Check whether can show tab
     * Проверка можно ли показывать вкладку
     * @return bool
     */
    public function canShowTab()
    {
        return true;
    }

    /**
     * Check whether tab is hidden
     * Проверка скрыта ли вкладка
     * @return bool
     */
    public function isHidden()
    {
        //Получаем модель текущего заказа
        /** @var Mage_Sales_Model_Order $order */
        $order = Mage::registry('current_order');
        //Проверяем сделан ли заказ при помощи PayQR
        if ($order->getPayment()->getMethod() == 'payqr')
            return false;
        else
            return true;
    }
}