<?php

/**
 * PayQR js code generation
 * Генерация кода для вставки js PayQR
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */
class PayQR_Payment_Block_Head extends Mage_Core_Block_Abstract
{
    /**
     * Метод генерирующий код js конфигурации модуля
     *
     * @return string
     */
    protected function _toHtml()
    {
        if ($this->canShow()) {
            $html = '<script src ="https://payqr.ru/popup.js?merchId=' . Mage::getStoreConfig("payment/payqr/merchantID") . '"></script>';
            return $html;
        } else {
            return '';
        }

    }

    /**
     * Проверка включено ли отображение кнопки PayQR
     *
     * @return bool|mixed
     *
     */
    public function canShow()
    {

        return Mage::getStoreConfig('payment/payqr/active');

    }

}