<?php

/**
 * PayQR Payment Info Block
 * Блок для вывода информации о платеже PayQR
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */
class PayQR_Payment_Block_Info extends Mage_Payment_Block_Info
{
    //Переменная хранящая модель заказа PayQR
    /**
     * @var PayQR_Payment_Model_Order
     */
    protected $_payqrorder;

    /**
     * Инициализация
     */
    protected function _construct()
    {
        //Вызов родительского метода
        parent::_construct();
        //Установка шаблона
        $this->setTemplate('payqr/payment/info.phtml');
    }

    /**
     * Метод получения модели текущего заказа PayQR
     *
     * @return PayQR_Payment_Model_Order
     * @throws Exception
     */
    public function getPayQROrder(){
        // Если не сохранен в памяти блока
        if (!$this->_payqrorder) {
            //Проверяем реестр
            if (Mage::registry('current_payqrorder')){
                //Если есть в реестре, то сохраняем сущность в память блока
                $this->_payqrorder = Mage::registry('current_payqrorder');
            } else {
                //Если нет, то проверяем доступен ли номер заказа через Info, если нет то берем из Request'a
                $order_id = ($this->getInfo()->getOrder()->getId()) ? $this->getInfo()->getOrder()->getId() : $this->getRequest()->getParam('order_id');
                //Пробуем загрузить модель PayQR и сохранить в памяти блока
                $this->_payqrorder = Mage::getModel('payqr_payment/order')->loadByOrderId($order_id);
                //Если не получилось выбрасываем исключение.
                if (!$this->_payqrorder->getId()) {
                  throw new Exception('Can\'t load PayQR Order Model');
                }
            }
        }
        //Возвращаем модель из памяти блока
        return $this->_payqrorder;
    }

}