<?php

/**
 * PayQR system config url text renderer
 * Рендер текстового поля с URL для уведомлений
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */
class PayQR_Payment_Block_System_Config_Form_Field_Url extends Mage_Adminhtml_Block_System_Config_Form_Field
{
    /**
     * Get Element HTMl
     * Переписываем родительский защишенный метод для получения HTML кода элемента
     *
     * @param Varien_Data_Form_Element_Abstract $element
     * @return string
     */

    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element)
    {
        // Получаем код магазина, если присутствует.
        $store_code = $this->getRequest()->getParam("store", null);
        // Получаем Базовый Урл магазина
        $base_url = Mage::getStoreConfig("web/secure/base_url", $store_code);
        // Получаем относительный путь к точке входа из конфигa модуля.
        $payqr_url = Mage::getStoreConfig("payment/payqr/payqr_path", $store_code)."/".Mage::getStoreConfig("payment/payqr/payqr_receiver", $store_code);
        // Формируем ответ
        return '<label style="width:280px;display:inline-block">' . $base_url . $payqr_url . '</label>';
    }
}
