<?php
/**
 * PayQR payment method model
 * Модель описывающий платежный метод PayQR
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */

class PayQR_Payment_Model_Method_Standard extends Mage_Payment_Model_Method_Abstract
{

    //Внутренний идентификатор платежного метода
    protected $_code  = 'payqr';
    //Онлайн оплата? да
    protected $_isGateway = false;
    //Может оплачиватся онлайн? да
    protected $_canCapture = true;
    //Может быть оплачен частично? нет
    protected $_canCapturePartial = false;
    //Может быть возвращен? да
    protected $_canRefund = true;
    //Может быть возвращен частично? да
    protected $_canRefundInvoicePartial = true;
    //Может быть отменен? да
    protected $_canVoid = true;
    //Используется на страница оформления заказа? нет
    protected $_canUseCheckout = false;
    //Используется при заказе в несколько адресов? нет
    protected $_canUseForMultishipping = false;
    //Используется при создании заказа в админпанели? нет
    protected $_isInitializeNeeded = false;
    //Может принимать данные транзакции? нет
    protected $_canFetchTransactionInfo = false;
    //Может создавать соглашения? нет
    protected $_canCreateBillingAgreement = false;
    //Используется при повторяющихся покупках? нет
    protected $_canManageRecurringProfiles = false;
    //Может быть изменен? нет
    protected $_canEdit = false;
    protected $_infoBlockType = 'payqr_payment/info';

    /**
     * Отмена заказа
     *
     * @param Varien_Object $payment
     * @return PayQR_Payment_Model_Method_Standard
     */
    public function void(Varien_Object $payment){
        //Вызов родительской функции
        parent::void($payment);
        //Загрузка заказа PayQR по ID заказа Magento
        $payqr_order = Mage::getModel('payqr_payment')->loadByOrderId($payment->getOrderId());
        //Проверка статуса заказа PayQR
        if ($payqr_order->getStatus() != 'reverted' && $payqr_order->getStatus() != 'failed'){
           //Изменение статуса заказа PayQR
           $payqr_order->setStatus('reverted')->save();
        }
        return $this;
    }

}