<?php
/**
 * PayQR system config backend model for button height
 * Модель для сохранение значений высоты кнопки
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */


class PayQR_Payment_Model_System_Config_Backend_Button_Height extends Mage_Core_Model_Config_Data
{

    //Проверка и изменение значения параметра, если меньше минимального допустимого значения
    protected function _beforeSave()
    {
        //Получение минимального допустимого значения
        $min_height = Mage::getStoreConfig("payment/payqr/min_height");
        //Изменение значения параметра, если меньше допустимого
        if ((int)$this->getValue() < (int)$min_height) {
            $this->setValue($min_height);
        }
    }
}
