<?php
/**
 * PayQR system config backend model for button width
 * Модель для сохранение значений ширины кнопки
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */


class PayQR_Payment_Model_System_Config_Backend_Button_Width extends Mage_Core_Model_Config_Data
{

    //Проверка и изменение значения параметра, если меньше минимального допустимого значения
    protected function _beforeSave()
    {
        //Получение минимального допустимого значения
        $min_width = Mage::getStoreConfig("payment/payqr/min_width");
        //Изменениие значения параметра, если меньше допустимого
        if ((int)$this->getValue() < (int)$min_width) {
            $this->setValue($min_width);
        }
    }
}
