<?php

/**
 * PayQR system config backend model for config value
 * Модель для сохранение значений файла конфига (payqr_config.php)
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */
class PayQR_Payment_Model_System_Config_Backend_Config extends Mage_Core_Model_Config_Data
{

    protected function _afterSave()
    {
        // Получаем код магазина, если присутствует.
        $store_code = Mage::app()->getRequest()->getParam("store", null);
        // Получаем путь к файлу конфига
        $file = Mage::getStoreConfig('payment/payqr/payqr_config');
        // Инициализируем IO модель
        $io = new Varien_Io_File();
        // Разрешаем создавать папки
        $io->setAllowCreateFolders(true);
        // Открываем папку с файлами PayQR
        $io->open(array('path' => Mage::getBaseDir() . DS . Mage::getStoreConfig('payment/payqr/payqr_path')));
        // Открываем поток для записи в файл
        $io->streamOpen($file, 'w+');
        // Блокируем файл
        $io->streamLock(true);
        // Формируем конфигурационный файл PayQR API
        $io->streamWrite("<?php\n");
        $io->streamWrite("class payqr_config\n");
        $io->streamWrite("{\n");
        // Получаем значения параметров из настроек магазина
        $config = array(
            'merchantID' => Mage::getStoreConfig('payment/payqr/merchantID', $store_code),
            'secretKeyIn' => Mage::getStoreConfig('payment/payqr/secretKeyIn', $store_code),
            'secretKeyOut' => Mage::getStoreConfig('payment/payqr/secretKeyOut', $store_code)
        );
        // Записываем значения в конфигурационный файл
        $io->streamWrite('public static $merchantID = "' . $config['merchantID'] . '";' . "\n");
        $io->streamWrite('public static $secretKeyIn = "' . $config['secretKeyIn'] . '";' . "\n");
        $io->streamWrite('public static $secretKeyOut = "' . $config['secretKeyOut'] . '";' . "\n");
        $io->streamWrite('public static $logFile = "' . Mage::getBaseDir() . DS . "var" . DS . "log" . DS . Mage::getStoreConfig('payment/payqr/log_file') . '";' . "\n");
        $io->streamWrite('public static $enabledLog = ' . Mage::getStoreConfig('payment/payqr/log_enabled') . ';' . "\n");
        $io->streamWrite('public static $maxTimeOut = ' . Mage::getStoreConfig('payment/payqr/max_time_out') . ';' . "\n");
        $io->streamWrite('public static $checkHeader = ' . Mage::getStoreConfig('payment/payqr/check_header') . ';' . "\n");
        $io->streamWrite('public static $version_api = "' . Mage::getStoreConfig('payment/payqr/version_api') . '";' . "\n");
        $io->streamWrite("}");
        $io->streamClose();

    }

}
