<?php
/**
 * PayQR system config color source
 * Модель для получения значений цвета кнопки
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */

class PayQR_Payment_Model_System_Config_Source_Button_Color
{

    /**
     * Options getter
     * Опции для выбора
     * - по умолчанию, ("")
     * - зеленый, ("payqr-button_green")
     * - синий, ("payqr-button_blue")
     * - оранжевый, ("payqr-button_orange")
     * - красный ("payqr-button_red")
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => '',                    'label'=>Mage::helper('payqr_payment')->__('Default')),
            array('value' => 'payqr-button_green',  'label'=>Mage::helper('payqr_payment')->__('Green')),
            array('value' => 'payqr-button_blue',   'label'=>Mage::helper('payqr_payment')->__('Blue')),
            array('value' => 'payqr-button_orange', 'label'=>Mage::helper('payqr_payment')->__('Orange')),
            array('value' => 'payqr-button_red',    'label'=>Mage::helper('payqr_payment')->__('Red'))
        );
    }

    /**
     * Get options in "key-value" format
     * Получение опции в формате "ключ-значение"
     *
     * @return array
     */
    public function toArray()
    {
        return array(
            ''                      => Mage::helper('payqr_payment')->__('Default'),
            'payqr-button_green'    => Mage::helper('payqr_payment')->__('Green'),
            'payqr-button_blue'     => Mage::helper('payqr_payment')->__('Blue'),
            'payqr-button_orange'   => Mage::helper('payqr_payment')->__('Orange'),
            'payqr-button_red'      => Mage::helper('payqr_payment')->__('Red'),
        );
    }

}
