<?php
/**
 * PayQR system config button gradient source
 * Модель для получения значений градиента фона кнопки
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */

class PayQR_Payment_Model_System_Config_Source_Button_Gradient
{

    /**
     * Options getter
     * Опции для выбора
     * - по умолчанию       ("")
     * - отключен           ("payqr-button_flat")
     * - включен            ("payqr-button_gradient")
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => '',                        'label'=>Mage::helper('payqr_payment')->__('Default')),
            array('value' => 'payqr-button_flat',       'label'=>Mage::helper('payqr_payment')->__('Disabled')),
            array('value' => 'payqr-button_gradient',   'label'=>Mage::helper('payqr_payment')->__('Enabled'))
        );
    }

    /**
     * Get options in "key-value" format
     * Получение опции в формате "ключ-значение"
     *
     * @return array
     */
    public function toArray()
    {
        return array(
            ''                          => Mage::helper('payqr_payment')->__('Default'),
            'payqr-button_flat'         => Mage::helper('payqr_payment')->__('Disabled'),
            'payqr-button_gradient'     => Mage::helper('payqr_payment')->__('Enabled')
        );
    }

}
