 <?php
/**
 * PayQR system config button round conner source
 * Модель для получения значений закругления краев кнопки
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */

class PayQR_Payment_Model_System_Config_Source_Button_Round
{

    /**
     * Options getter
     * Опции для выбора
     * - по умолчанию            ("")
     * - без округления          ("payqr-button_sharp")
     * - мягкое округление       ("payqr-button_rude")
     * - минимальное округление  ("payqr-button_soft")
     * - значительное округление ("payqr-button_sleek")
     * - максимальное округление ("payqr-button_oval")
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => '',                    'label'=>Mage::helper('payqr_payment')->__('Default')),
            array('value' => 'payqr-button_sharp',  'label'=>Mage::helper('payqr_payment')->__('Sharp')),
            array('value' => 'payqr-button_rude',   'label'=>Mage::helper('payqr_payment')->__('Rude')),
            array('value' => 'payqr-button_soft',   'label'=>Mage::helper('payqr_payment')->__('Soft')),
            array('value' => 'payqr-button_sleek',  'label'=>Mage::helper('payqr_payment')->__('Sleek')),
            array('value' => 'payqr-button_oval',   'label'=>Mage::helper('payqr_payment')->__('Oval'))
        );
    }

    /**
     * Get options in "key-value" format
     * Получение опции в формате "ключ-значение"
     *
     * @return array
     */
    public function toArray()
    {
        return array(
            ''                      => Mage::helper('payqr_payment')->__('Default'),
            'payqr-button_sharp'    => Mage::helper('payqr_payment')->__('Sharp'),
            'payqr-button_rude'     => Mage::helper('payqr_payment')->__('Rude'),
            'payqr-button_soft'     => Mage::helper('payqr_payment')->__('Soft'),
            'payqr-button_sleek'    => Mage::helper('payqr_payment')->__('Sleek'),
            'payqr-button_oval'     => Mage::helper('payqr_payment')->__('Oval')
        );
    }

}
