<?php
/**
 * PayQR system config button font size source
 * Модель для получения значений размера текста кнопки
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */

class PayQR_Payment_Model_System_Config_Source_Button_Size
{

    /**
     * Options getter
     * Опции для выбора
     * - по умолчанию       ("")
     * - крупно             ("payqr-button_text_large")
     * - средне             ("payqr-button_text_normal")
     * - мало               ("payqr-button_text_small")
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => '',                            'label'=>Mage::helper('payqr_payment')->__('Default')),
            array('value' => 'payqr-button_text_large',      'label'=>Mage::helper('payqr_payment')->__('Large')),
            array('value' => 'payqr-button_text_normal',   'label'=>Mage::helper('payqr_payment')->__('Normal')),
            array('value' => 'payqr-button_text_small',      'label'=>Mage::helper('payqr_payment')->__('Small'))
        );
    }

    /**
     * Get options in "key-value" format
     * Получение опции в формате "ключ-значение"
     *
     * @return array
     */
    public function toArray()
    {
        return array(
            ''                              => Mage::helper('payqr_payment')->__('Default'),
            'payqr-button_text_large'        => Mage::helper('payqr_payment')->__('Large'),
            'payqr-button_text_normal'     => Mage::helper('payqr_payment')->__('Normal'),
            'payqr-button_text_small'        => Mage::helper('payqr_payment')->__('Small')
        );
    }

}
