<?php
/**
 * PayQR system config button text case source
 * Модель для получения значений регистра текста кнопки
 *
 * @category   PayQR
 * @package    PayQR_Payment
 * @author      PayQR Team <api@payqr.ru>
 */

class PayQR_Payment_Model_System_Config_Source_Button_Upper
{

    /**
     * Options getter
     * Опции для выбора
     * - по умолчанию       ("")
     * - нижний регистр     ("payqr-button_lowercase")
     * - без изменинй       ("payqr-button_standardcase")
     * - верхний регистр    ("payqr-button_uppercase")
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => '',                            'label'=>Mage::helper('payqr_payment')->__('Default')),
            array('value' => 'payqr-button_lowercase',      'label'=>Mage::helper('payqr_payment')->__('Lowercase')),
            array('value' => 'payqr-button_standardcase',   'label'=>Mage::helper('payqr_payment')->__('Standardcase')),
            array('value' => 'payqr-button_uppercase',      'label'=>Mage::helper('payqr_payment')->__('Uppercase'))
        );
    }

    /**
     * Get options in "key-value" format
     * Получение опции в формате "ключ-значение"
     *
     * @return array
     */
    public function toArray()
    {
        return array(
            ''                              => Mage::helper('payqr_payment')->__('Default'),
            'payqr-button_lowercase'        => Mage::helper('payqr_payment')->__('Lowercase'),
            'payqr-button_standardcase'     => Mage::helper('payqr_payment')->__('Standardcase'),
            'payqr-button_uppercase'        => Mage::helper('payqr_payment')->__('Uppercase')
        );
    }

}
