<?php
/* @var $installer Mage_Core_Model_Resource_Setup */
$installer = $this;

$installer->startSetup();

/**
 * Create table 'payqr_payment/order'
 * Созданием таблицу payqr_order
 */
$table = $installer->getConnection()
    ->newTable($installer->getTable('payqr_payment/order'))
    ->addColumn('order_id', Varien_Db_Ddl_Table::TYPE_INTEGER, null, array(
        'identity'  => true,
        'unsigned'  => true,
        'nullable'  => false,
        'primary'   => true,
    ), 'Incremenent Id')
    ->addColumn('payqr_number', Varien_Db_Ddl_Table::TYPE_BIGINT, null, array(
    ),'PayQR Number')
    ->addColumn('payqr_order_id',Varien_Db_Ddl_Table::TYPE_TEXT,512,array(
    ),"PayQR Order Id")
    ->addColumn('magento_order_id', Varien_Db_Ddl_Table::TYPE_INTEGER, null, array(
        'unsigned'  => true,
        'nullable'  => false,
        'default'   => '0'
    ), 'Magento Order')
    ->addColumn('payqr_data', Varien_Db_Ddl_Table::TYPE_TEXT, '64k', array(
    ), 'DATA')
    ->addColumn('status',Varien_Db_Ddl_Table::TYPE_TEXT,256,array(
    ),"Status")
    ->addColumn('content',Varien_Db_Ddl_Table::TYPE_TEXT,'64k',array(
    ),"Comment")
    ->addIndex($installer->getIdxName('payqr_payment/order', 'magento_order_id'), 'magento_order_id')
    ->addForeignKey($installer->getFkName('payqr_payment/order', 'magento_order_id', 'sales/order', 'entity_id'),
        'magento_order_id', $installer->getTable('sales/order'), 'entity_id',
        Varien_Db_Ddl_Table::ACTION_CASCADE, Varien_Db_Ddl_Table::ACTION_CASCADE)
    ->setComment('PayQR Order Instances');
$installer->getConnection()->createTable($table);


/**
 * Create table 'payqr_payment/revert'
 * Созданием таблицу payqr_revert
 */
$table = $installer->getConnection()
    ->newTable($installer->getTable('payqr_payment/revert'))
    ->addColumn('revert_id', Varien_Db_Ddl_Table::TYPE_INTEGER, null, array(
        'identity'  => true,
        'unsigned'  => true,
        'nullable'  => false,
        'primary'   => true,
    ), 'Incremenent Id')
    ->addColumn('payqr_number', Varien_Db_Ddl_Table::TYPE_BIGINT, null, array(
    ),'PayQR Number')
    ->addColumn('payqr_order_id',Varien_Db_Ddl_Table::TYPE_TEXT,512,array(
    ),"PayQR Order Id")
    ->addColumn('payqr_revert_id',Varien_Db_Ddl_Table::TYPE_TEXT,512,array(
    ),"PayQR Order Id")
    ->addColumn('magento_order_id', Varien_Db_Ddl_Table::TYPE_INTEGER, null, array(
        'unsigned'  => true,
        'nullable'  => false,
        'default'   => '0'
    ), 'Magento Order')
    ->addColumn('amount',Varien_Db_Ddl_Table::TYPE_TEXT,256,array(
    ),'Amount')
    ->addColumn('status',Varien_Db_Ddl_Table::TYPE_TEXT,256,array(
    ),"Status")
    ->addIndex($installer->getIdxName('payqr_payment/revert', 'magento_order_id'), 'magento_order_id')
    ->addForeignKey($installer->getFkName('payqr_payment/revert', 'magento_order_id', 'sales/order', 'entity_id'),
        'magento_order_id', $installer->getTable('sales/order'), 'entity_id',
        Varien_Db_Ddl_Table::ACTION_CASCADE, Varien_Db_Ddl_Table::ACTION_CASCADE)
    ->setComment('PayQR Revert Instances');
$installer->getConnection()->createTable($table);


$installer->endSetup();