<?php
/**
 * @TODO: Если OrderGroup Пустой то формируем новую корзину и заполняем
 */
//Получаем данные заказа PayQR
//Доставка из объекта PayQR
$delivery = $Payqr->objectOrder->getDelivery();

//Корзина из объекта PayQR
$cartObject = $Payqr->objectOrder->getCart();
$Payqr->objectOrder->setCart($cartObject);
//Клиент из объекта PayQR
$customer = $Payqr->objectOrder->getCustomer();
//Выбранный метод доставки
$shippingMethod = $Payqr->objectOrder->getDeliveryCasesSelected();
//Id корзины в Magento
$quoteId = $Payqr->objectOrder->getOrderGroup();
//Если есть id корзины
if ($quoteId) {
//Инизиализируем корзину
/** @var Mage_Sales_Model_Quote $quote */
    $quote = Mage::getSingleton("sales/quote")->load($quoteId);
//Если id корзины отсутствует
} else {
    //Инициализируем модель корзины
    $quote = Mage::getSingleton("sales/quote");
    //Перебираем корзины из объекта PayQR
    foreach ($cartObject as $cart_item) {
        //Инициализируем модель элемента корзины
        $item = Mage::getModel("sales/quote_item");
        //Инициализируем продукт по SKU
        $product = Mage::getModel("catalog/product")->loadByAttribute("sku",$cart_item->article);
        //Если такого продукта нет в базе
        if (!$product) {
            //Выкидываем исключение
            throw new Exception("Link product does not exist.");
        }
        //Загружаем данные в элемент корзины
        $item->setProduct($product);
        //Устанавливаем количества
        $item->setQty($cart_item->quantity);
        //Сохраняем корзину
        $quote->addItem($item);
    }
    $quote->save();
}
//Получаем пользователя magento
$customer_quote = $quote->getCustomer();

//Формируем массив данных
$data = array();
//Имя
$data['firstname'] = $customer->firstName;
//Фамилия
$data['lastname'] = $customer->lastName;
//Email
$data['email'] = ($customer_quote->getId()) ? $customer_quote->getEmail() : $customer->email;
//Страна (Всегда RU - Россия)
$data['country_id'] = "RU";
//Регион
$data['region'] = $delivery->region;
//Город
$data['city'] = $delivery->city;
//Индекс
$data['postcode'] = $delivery->zip;
//Телефон
$data['telephone'] = $customer->phone;
//Формируем строку улицы
$data['street'] = $delivery->street . " " . $delivery->house;
//Добавляем корпус
if ($delivery->unit)
    $data['street'] .= " корп. " . $delivery->unit;
//строение
if ($delivery->building)
    $data['street'] .= " стр. " . $delivery->building;
//квартиру
if ($delivery->flat)
    $data['street'] .= " кв. " . $delivery->flat;
//Инициализируем и наполняем данными адреса плательщика и доставки у нас они совпадают
$data['shipping_method'] = $shippingMethod->article;
//Адрес плательщика
$billingAddress = $quote->getBillingAddress()->addData($data);
//Доставка
$shippingAddress = $quote->getShippingAddress()->addData($data);
//Пересчитываем стоимости доставок
$shippingAddress->setCollectShippingRates(true)->collectShippingRates();


if (!$customer_quote->getId()){
//Заполняем данные пользователя (пока только как гостя)
$quote->setCustomerId(null)
    ->setCustomerFirstname($quote->getBillingAddress()->getFirstname())
    ->setCustomerLastname($quote->getBillingAddress()->getLastname())
//email
    ->setCustomerEmail($quote->getBillingAddress()->getEmail())
//Гость? да
    ->setCustomerIsGuest(true)
//Группа пользователя
    ->setCustomerGroupId(Mage_Customer_Model_Group::NOT_LOGGED_IN_ID);
}
//Пресчитываем итого, сохраняем корзину
$quote->collectTotals()->save();
//Получаем адрес доставки устанавливаем метод доставки и метод оплаты
$quote->getShippingAddress()->setCollectShippingRates(true)->collectShippingRates();
$quote->getShippingAddress()->setShippingMethod($shippingMethod->article);
$quote->getShippingAddress()->setPaymentMethod('payqr');
//Получаем объект оплаты, устанавливаем метод оплаты
$quote->getPayment()->importData(array('method' => 'payqr'));
//Пресчитываем итого, сохраняем корзину
$quote->collectTotals()->save();
//Инициализируем сервис создания заказа
$service = Mage::getModel('sales/service_quote', $quote);
//Создаем заказ
$service->submitAll();
//Получаем объект созданого заказа
$order = $service->getOrder();

//Инициализируем и заполняем модель PayQR Order
$payqr_order = Mage::getModel('payqr_payment/order')
//Записываем номер заказа в PayQR системе
    ->setPayqrNumber($Payqr->objectOrder->getPayqrNumber())
    ->setPayqrOrderId($Payqr->objectOrder->getInvId())
//Записываем номер заказа в Magento
    ->setMagentoOrderId($order->getId())
//Записываем статус заказа "новый" => "new"
    ->setStatus('new')
//Записываем объект заказа PayQR
    ->setInvoiceObject($Payqr->objectEvent->data)
//Сохраняем
    ->save();


//Отправляем письмо о новом заказе пользователю и администратору
$order->sendNewOrderEmail();

//Устанавливаем номер заказа в объект PayQR
$Payqr->objectOrder->setOrderId($order->getId());
//Устанавливаем итоговую сумму заказа в объект PayQR
$Payqr->objectOrder->setAmount($order->getGrandTotal());
